curl --request GET \
--url https://test.deribit.com/api/v2/private/cancel_all_by_kind_or_type \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 2,
"method": "private/cancel_all_by_kind_or_type",
"params": {
"currency": [
"BTC",
"ETH"
],
"kind": "future"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/cancel_all_by_kind_or_type"
payload = {
"jsonrpc": "2.0",
"id": 2,
"method": "private/cancel_all_by_kind_or_type",
"params": {
"currency": ["BTC", "ETH"],
"kind": "future"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 2,
method: 'private/cancel_all_by_kind_or_type',
params: {currency: ['BTC', 'ETH'], kind: 'future'}
})
};
fetch('https://test.deribit.com/api/v2/private/cancel_all_by_kind_or_type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 47,
"result": 4
}private/cancel_all_by_kind_or_type
Cancels all open orders in one or more currencies, optionally filtered by instrument kind and/or order type. This provides flexible bulk cancellation across multiple currencies.
Specify one or more currencies, and optionally filter by instrument kind (future, option, etc.) and/or order type (limit, market, stop, etc.). Use the detailed parameter to receive a list of all cancelled orders.
include_starbase_orders only applies to a full cancel-all (order type all); it is ignored when cancelling a specific order type such as quote.
Scope: trade:read_write
Query Parameters
The currency symbol, list of currency symbols or "any" for all
Instrument kind, "combo" for any combo or "any" for all. If not provided instruments of all kinds are considered
Instrument kind: "future", "option", "spot", "future_combo", "option_combo", "combo" for any combo or "any" for all
future, option, spot, future_combo, option_combo, combo, any Order type - limit, stop, take, trigger_all or all, default - all
Order type: "all", "limit", "stop", "take", "trailing_stop", "trailing_take"
all, limit, trigger_all, stop, take, trailing_stop When detailed is set to true, the output format is changed to include a list of all cancelled orders.
📖 Related Article: Detailed Response for Cancel Methods
Default: false
Whether or not to reject incoming quotes for 1 second after cancelling (false by default). Related to private/mass_quote request.
When set to true, the subaccount's Starbase direct-access open orders are also cancelled, and the number cancelled is included in the returned cancelled-order count. Default: false.
Cannot be combined with detailed (doing so returns an invalid_params error). Note that freeze_quotes is not enforced for Starbase orders.
Related topics
Rate LimitsJSON-RPC 2.0 ProtocolJSON-RPC API Changelogprivate/cancel_all_by_currencyprivate/cancel_quotesWas this page helpful?